<?php
/**
 * The template part for top header
 *
 * @package Online Grocery Mart
 * @subpackage online-grocery-mart
 * @since online-grocery-mart 1.0
 */
?>

<div class="top-bar">
  <div class="container-fluid">
    <div class="row">
      <div class="col-lg-3 col-md-4">
        <?php if( get_theme_mod('food_grocery_store_phone_number') != ''){ ?>
          <p class="mb-0"><i class="fas fa-phone mr-2"></i><?php echo esc_html(get_theme_mod('food_grocery_store_phone_number',''));?></p>
        <?php } ?>
      </div>
      <div class="col-lg-5 col-md-4 py-2">
        <?php if( get_theme_mod( 'online_grocery_mart_discount_text') != '') { ?>
          <p class="mb-0 discount-line "><?php echo esc_html(get_theme_mod('online_grocery_mart_discount_text',''));?></p>
        <?php } ?>
      </div>
      <div class="col-lg-4 col-md-4">
        <div class="row">
          <div class="col-lg-6 col-md-4">
            <?php if( get_theme_mod('online_grocery_mart_email_address') != ''){ ?>
              <p class="mb-0"><i class="fas fa-envelope mr-2"></i><?php echo esc_html(get_theme_mod('online_grocery_mart_email_address',''));?></p>
            <?php } ?>
          </div>
          <div class="col-lg-3 col-md-4 ">
            <?php if( get_theme_mod( 'food_grocery_store_google_translator') != '') { ?>
              <div class="translate-lang">
                <?php echo do_shortcode( '[gtranslate]' );?>
              </div>
            <?php } ?>
          </div>
          <div class="col-lg-3 col-md-4">
            <?php if( get_theme_mod( 'food_grocery_store_currency_switcher') != '') { ?>
              <?php if(class_exists('woocommerce')){ ?>
                <div class="currency-box">
                  <?php echo do_shortcode( '[woocommerce_currency_switcher_drop_down_box]' );?>
                </div>
              <?php } ?>
            <?php }?>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>